
QGIS Application - Bug report #16829

Print composer - export altas as pdf crashes QGIS

2017-07-10 01:03 PM - Amy Taylor

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Windows 7 & Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24728

Description

Using QGIS 2.18.10 if I attempt to save the pages of an atlas in print composer to pdf QGIS crashes.  There is no error message but

QGIS becomes unresponsive and all other open programmes on the PC slows to a halt until I force QGIS to close.

The same projects containing atlases can be opened in 2.14.9 and the atlas exported as a pdf without any problems or crashing.

History

#1 - 2017-07-10 01:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you attach a sample project and data to allow us test and try replicate locally, or it just happen with any project? thanhs

#2 - 2017-07-10 01:58 PM - Amy Taylor

It's happening with any project using the atlas funcionality in print composer.  As soon as I try to save the pdf QGIS starts using up all of the PC's memory

and the computer hangs.

If I try it on a brand new Windows 10 machine with no other programmes running it does the same thing where QGIS is not responding.  However I just left

it running and it did eventually save the atlas but only after 26 minutes.  This would normally save in less than a minute using 2.14.

#3 - 2017-07-10 02:09 PM - Amy Taylor

I've just found one project which does work, this uses an A4 master layout driven by a point file.  All the other projects use A1 or A2 layouts and are driven

by polygon files - none of those projects are exporting.

#4 - 2017-07-10 02:31 PM - Giovanni Manghi

Amy Taylor wrote:

I've just found one project which does work, this uses an A4 master layout driven by a point file.  All the other projects use A1 or A2 layouts and are

driven by polygon files - none of those projects are exporting.

any chance you can share those polygon layers?
#5 - 2017-07-10 03:54 PM - Amy Taylor

- File 10K_A1_landscape_tiles.zip added

One of the A1 polygon layers is attached.

#6 - 2017-07-11 11:27 AM - Amy Taylor

Further to this, I've just created a simple atlas driven by a polyogn layer and it will export no problem.

The issue seems to be with projects where the atlas settings are being used to define the layer legend settings in the map view.   So if the visibilty or

appearance of a layer or layers are driven by the atlas then exporting the atlas is causing a crash.

If the atlas coverage layer is simply used to define the extent of the print composer then the pages can be exported without a crash.

#7 - 2017-07-11 01:04 PM - Giovanni Manghi

The issue seems to be with projects where the atlas settings are being used to define the layer legend settings in the map view.   So if the visibilty or

appearance of a layer or layers are driven by the atlas then exporting the atlas is causing a crash.

can you please then attach such project (and data)? it would help a lot, instead of having us trying to recreate the very same project/configs you already

found be problematic, thanks!

#8 - 2017-07-12 02:51 PM - Amy Taylor

The project has many layers with data stored in different locations on a server, so making a version I could attach will take quite some time.

#9 - 2017-07-12 03:03 PM - Giovanni Manghi

Amy Taylor wrote:

The project has many layers with data stored in different locations on a server, so making a version I could attach will take quite some time.

we appreciate the effort, this is one of those bugs that without a specific dataset/project could be hard to troubleshoot. Thanks.

#10 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#11 - 2017-09-25 04:06 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

If/when you have a project and data you ca attach to allow us replicate let us know and we eventually reopen this ticket.
#12 - 2017-10-27 09:44 AM - Amy Taylor

I've not been able to create a project I can attach which does this. It may be connected to using atlas expressions in the layer legend settings to drive which

layers are visible/not visible, but it's something I've as yet been unable to replicate with a smaller up-loadable project.

Files

10K_A1_landscape_tiles.zip 2.4 KB 2017-07-10 Amy Taylor
